[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusPanel.Destroy

Destructor for the class instance.

## Declaration

Source position: comctrls.pp line 84

`public destructor TStatusPanel.Destroy; override;`

## Description

Destroy is the destructor for TStatusPanel and calls the inherited Destroy method. It removes itself from the StatusBar by calling its InvalidatePanel method.

## See also

TStatusPanel.StatusBar |  | Gets the status bar which contains the class instance.
TStatusBar.InvalidatePanel |  | Updates the panel at the specified position in the Panels for the status bar.
TCollectionItem.Destroy